package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.UserEquipment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 用户设备关联Mapper接口
 * 
 * @author chen
 * @date 2024-02-25
 */
@Mapper
public interface UserEquipmentMapper extends BaseMapper<UserEquipment> {
    /**
     * 查询用户设备关联
     * 
     * @param id 用户设备关联ID
     * @return 用户设备关联
     */
    UserEquipment selectUserEquipmentById(Long id);

    /**
     * 查询用户设备关联列表
     * 
     * @param userEquipment 用户设备关联
     * @return 用户设备关联集合
     */
    List<UserEquipment> selectUserEquipmentList(UserEquipment userEquipment);

    /**
     * 新增用户设备关联
     * 
     * @param userEquipment 用户设备关联
     * @return 结果
     */
    int insertUserEquipment(UserEquipment userEquipment);

    /**
     * 修改用户设备关联
     * 
     * @param userEquipment 用户设备关联
     * @return 结果
     */
    int updateUserEquipment(UserEquipment userEquipment);

    /**
     * 删除用户设备关联
     * 
     * @param id 用户设备关联ID
     * @return 结果
     */
    int deleteUserEquipmentById(Long id);

    /**
     * 批量删除用户设备关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteUserEquipmentByIds(String[] ids);

    int selectCountByUserIdAndDeviceId(UserEquipment userEquipment1);
}
